---
title: "Retrieve SC RFP Totals with Finder"
slug: "retrieve-sc-rfp-totals-with-finder"
updated: 2026-05-26T12:53:12Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-sc-rfp-totals-with-finder"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve SC RFP Totals with Finder

Get/ap-rest-api/rest/1/scRfpTotals/290272F8EC8916E0E0630B811DACCEF9

## Overview

The **SC RFP Totals API** (`scRfpTotals`) allows retrieving aggregated subcontractor Request for Payment (RFP) totals per voucher..

## Query Standards

| Key | Recommended | Description |
| --- | --- | --- |
| `finder` | Yes | Filters data based on attributes. See finder details below. Finder parameters are supplied after the finder name using a semicolon, and multiple attribute filters are separated by commas to form an `and` statement. For more information on finder usage, please see [Best Practice] |
| `limit` | Yes | A limit restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count, then the framework will return all available resources. For additional information on using the limit functionality, please visit [Best Practice] |
| `offset` | Yes | The offset skips a specified number of items in a data list before it starts showing results. For example, if you set an offset of `10`, it skips the first `10` items and begins showing from the `11th` item. For additional information on using offset functionality, please visit [Best Practice] |
| `orderBy` | Yes | The `orderBy` attribute retrieves rows using an order ensuring the response payload displays data in the order supplied in the URL parameter using the GET method. For more information on using `orderBy` functionality, please visit [Best Practice] |

### Finder

Following row finders are available for data filtering and optimizing request performance.

- scRfpTotal

#### scRfp Total Finder

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| vendorCode | Vendor Code | 4015 |
| contractCode | Contract Code | 15002.003 |

## Attributes

| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example |
| --- | --- | --- | --- | --- | --- | --- |
| Voucher UUID | `scRfpTotals` | `VsovVouUuid` | Unique identifier for the RFP totals voucher row. Primary key. | String | 64 | `4A4D59B5C4A54E25E0630B81A8C0D102` |
| Company Code | `scRfpTotals` | `VsovCompCode` | Company code associated with the voucher. | String | 8 | `AO01` |
| Vendor Code | `scRfpTotals` | `VsovVenCode` | Vendor code associated with the subcontract. | String | 8 | `A1WINDOW` |
| Contract Code | `scRfpTotals` | `VsovContCode` | Subcontract / contract code. | String | 20 | `SUB-0909` |
| Task Amount | `scRfpTotals` | `VsovTaskAmt` | Aggregated scheduled value / task amount for the voucher. | Number | N/A | `50000.00` |
| Completion Percentage | `scRfpTotals` | `VsovComplPct` | Aggregated percentage of work completed. | Number | N/A | `75.000` |
| Completion Amount | `scRfpTotals` | `VsovComplAmt` | Aggregated dollar amount of completed work for this billing period. | Number | N/A | `37500.00` |
| Previously Certified Amount | `scRfpTotals` | `VsovPrevCertAmt` | Aggregated previously certified dollar amount. | Number | N/A | `25000.00` |
| Task Quantity | `scRfpTotals` | `VsovTaskQty` | Aggregated total scheduled quantity. | Number | N/A | `100.00000000` |
| Completed Quantity | `scRfpTotals` | `VsovComplQty` | Aggregated quantity completed in this billing period. | Number | N/A | `75.00000000` |
| Previously Certified Quantity | `scRfpTotals` | `VsovPrevCertQty` | Aggregated previously certified quantity. | Number | N/A | `50.00000000` |
| Retainage Percentage | `scRfpTotals` | `VsovRetainagePct` | Retainage percentage applied to the voucher. | Number | N/A | `10.000` |
| Contract Retained Amount | `scRfpTotals` | `VsovContRetainedAmt` | Aggregated total retained amount on the contract. | Number | N/A | `5000.00` |
| Voucher Retained Amount | `scRfpTotals` | `VsovVouRetainedAmt` | Aggregated retained amount on this voucher. | Number | N/A | `3750.00` |
| Voucher Retainage Release Amount | `scRfpTotals` | `VsovVouRetainRlsAmt` | Aggregated amount of retainage released on this voucher. | Number | N/A | `1250.00` |
| Invoice Line Amount | `scRfpTotals` | `VsovInvLineAmt` | Aggregated invoice line amount for this voucher. | Number | N/A | `12500.00` |

SecurityHTTPType basic

Basic authentication

Responsesdefault

default

<select class='api-response-data' aria-label='Media type'><option value='6bc0c0ad-8f08-4075-880a-50cde48aa218'>text/plain</option>
</select><select class='select-example' aria-label='Media type'><option value='0967c139-0166-40a9-8d7d-321739539d75'>example-0</option>
<option value='4043036f-4c6c-4b35-a758-ae7aebda32bd'>example-1</option>
</select>example-0

Retrieve SC RFP Totals by UUID

```
"{\r\n    \"VsovVouUuid\": \"290272F8EC8916E0E0630B811DACCEF9\",\r\n    \"VsovTaskAmt\": null,\r\n    \"VsovComplPct\": 0,\r\n    \"VsovComplAmt\": null,\r\n    \"VsovPrevCertAmt\": null,\r\n    \"VsovTaskQty\": null,\r\n    \"VsovComplQty\": null,\r\n    \"VsovPrevCertQty\": null,\r\n    \"VsovRetainagePct\": null,\r\n    \"VsovContRetainedAmt\": null,\r\n    \"VsovVouRetainedAmt\": null,\r\n    \"VsovVouRetainRlsAmt\": null,\r\n    \"VsovInvLineAmt\": 23.12,\r\n    \"links\": [\r\n        {\r\n            \"rel\": \"self\",\r\n            \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/290272F8EC8916E0E0630B811DACCEF9\",\r\n            \"name\": \"scrfptotals\",\r\n            \"kind\": \"item\"\r\n        },\r\n        {\r\n            \"rel\": \"canonical\",\r\n            \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/290272F8EC8916E0E0630B811DACCEF9\",\r\n            \"name\": \"scrfptotals\",\r\n            \"kind\": \"item\"\r\n        }\r\n    ]\r\n}"
```

example-1

Retrieve SC RFP Totals by Finder

```
"{\r\n    \"items\": [\r\n        {\r\n            \"VsovVouUuid\": \"509D3C815B89A623E0630B811DAC6C9A\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 2000,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509D3C815B89A623E0630B811DAC6C9A\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509D3C815B89A623E0630B811DAC6C9A\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"509D3C815B93A623E0630B811DAC6C9A\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 1000,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509D3C815B93A623E0630B811DAC6C9A\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509D3C815B93A623E0630B811DAC6C9A\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"509D3C815BA6A623E0630B811DAC6C9A\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": -5000,\r\n            \"VsovComplPct\": 30,\r\n            \"VsovComplAmt\": -1500,\r\n            \"VsovPrevCertAmt\": -1500,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 50,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": -1500,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509D3C815BA6A623E0630B811DAC6C9A\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509D3C815BA6A623E0630B811DAC6C9A\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"509D3C815BB6A623E0630B811DAC6C9A\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": -5000,\r\n            \"VsovComplPct\": 30,\r\n            \"VsovComplAmt\": -1500,\r\n            \"VsovPrevCertAmt\": -1500,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 50,\r\n            \"VsovVouRetainedAmt\": 50,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 50,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509D3C815BB6A623E0630B811DAC6C9A\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509D3C815BB6A623E0630B811DAC6C9A\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"509D3C815BC7A623E0630B811DAC6C9A\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": -5000,\r\n            \"VsovComplPct\": 30,\r\n            \"VsovComplAmt\": -1500,\r\n            \"VsovPrevCertAmt\": -1500,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 50,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": -100,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509D3C815BC7A623E0630B811DAC6C9A\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509D3C815BC7A623E0630B811DAC6C9A\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"509DC09B588D4C43E0630B811DAC62F8\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 5,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509DC09B588D4C43E0630B811DAC62F8\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509DC09B588D4C43E0630B811DAC62F8\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"509DC09B589C4C43E0630B811DAC62F8\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": -20,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509DC09B589C4C43E0630B811DAC62F8\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509DC09B589C4C43E0630B811DAC62F8\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"509DC09B58AD4C43E0630B811DAC62F8\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": -20,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509DC09B58AD4C43E0630B811DAC62F8\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509DC09B58AD4C43E0630B811DAC62F8\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"509F07FAFF34B4A1E0630B811DACB296\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 5,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509F07FAFF34B4A1E0630B811DACB296\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509F07FAFF34B4A1E0630B811DACB296\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"509F07FAFF45B4A1E0630B811DACB296\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": -40,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509F07FAFF45B4A1E0630B811DACB296\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509F07FAFF45B4A1E0630B811DACB296\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"509F07FAFF59B4A1E0630B811DACB296\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 0,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509F07FAFF59B4A1E0630B811DACB296\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509F07FAFF59B4A1E0630B811DACB296\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"509F07FAFF67B4A1E0630B811DACB296\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 5,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509F07FAFF67B4A1E0630B811DACB296\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509F07FAFF67B4A1E0630B811DACB296\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"509F07FAFF76B4A1E0630B811DACB296\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 5,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509F07FAFF76B4A1E0630B811DACB296\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509F07FAFF76B4A1E0630B811DACB296\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"509FD959EAD5C2A1E0630B811DACE450\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 5,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509FD959EAD5C2A1E0630B811DACE450\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/509FD959EAD5C2A1E0630B811DACE450\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"50A0266AEEFB37D4E0630B811DAC8546\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 10,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/50A0266AEEFB37D4E0630B811DAC8546\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/50A0266AEEFB37D4E0630B811DAC8546\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"50A0266AEF2C37D4E0630B811DAC8546\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 5,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/50A0266AEF2C37D4E0630B811DAC8546\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/50A0266AEF2C37D4E0630B811DAC8546\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"50A0266AEF3B37D4E0630B811DAC8546\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": -40,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/50A0266AEF3B37D4E0630B811DAC8546\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/50A0266AEF3B37D4E0630B811DAC8546\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"50A0266AEF5037D4E0630B811DAC8546\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 5,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/50A0266AEF5037D4E0630B811DAC8546\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/50A0266AEF5037D4E0630B811DAC8546\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"50AEBBA7FC91A7A3E0630B811DAC36EE\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 200,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 250,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/50AEBBA7FC91A7A3E0630B811DAC36EE\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/50AEBBA7FC91A7A3E0630B811DAC36EE\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"50AEBBA7FCA1A7A3E0630B811DAC36EE\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 20,\r\n            \"VsovInvLineAmt\": 20,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/50AEBBA7FCA1A7A3E0630B811DAC36EE\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/50AEBBA7FCA1A7A3E0630B811DAC36EE\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"50AF8D101A25A46FE0630B811DAC0085\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 20,\r\n            \"VsovInvLineAmt\": 20,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/50AF8D101A25A46FE0630B811DAC0085\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/50AF8D101A25A46FE0630B811DAC0085\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"51005C71BFDB6398E0630B811DAC3008\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 10,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/51005C71BFDB6398E0630B811DAC3008\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/51005C71BFDB6398E0630B811DAC3008\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"51005C71BFEB6398E0630B811DAC3008\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 500,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/51005C71BFEB6398E0630B811DAC3008\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/51005C71BFEB6398E0630B811DAC3008\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"51005C71C0066398E0630B811DAC3008\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 10,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/51005C71C0066398E0630B811DAC3008\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/51005C71C0066398E0630B811DAC3008\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        },\r\n        {\r\n            \"VsovVouUuid\": \"51005C71C0196398E0630B811DAC3008\",\r\n            \"VsovCompCode\": \"CMO01\",\r\n            \"VsovVenCode\": \"0001\",\r\n            \"VsovContCode\": \"TST29\",\r\n            \"VsovTaskAmt\": 10000,\r\n            \"VsovComplPct\": 26.8,\r\n            \"VsovComplAmt\": 2680,\r\n            \"VsovPrevCertAmt\": 2680,\r\n            \"VsovTaskQty\": null,\r\n            \"VsovComplQty\": 0,\r\n            \"VsovPrevCertQty\": 0,\r\n            \"VsovRetainagePct\": 10,\r\n            \"VsovContRetainedAmt\": 161,\r\n            \"VsovVouRetainedAmt\": 0,\r\n            \"VsovVouRetainRlsAmt\": 0,\r\n            \"VsovInvLineAmt\": 5,\r\n            \"links\": [\r\n                {\r\n                    \"rel\": \"self\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/51005C71C0196398E0630B811DAC3008\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                },\r\n                {\r\n                    \"rel\": \"canonical\",\r\n                    \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals/51005C71C0196398E0630B811DAC3008\",\r\n                    \"name\": \"scrfptotals\",\r\n                    \"kind\": \"item\"\r\n                }\r\n            ]\r\n        }\r\n    ],\r\n    \"count\": 25,\r\n    \"hasMore\": true,\r\n    \"limit\": 25,\r\n    \"offset\": 0,\r\n    \"links\": [\r\n        {\r\n            \"rel\": \"self\",\r\n            \"href\": \"http://127.0.0.1:7101/ap-rest-api/rest/1/scrfptotals\",\r\n            \"name\": \"scrfptotals\",\r\n            \"kind\": \"collection\"\r\n        }\r\n    ]\r\n}"
```

string
